Bug 1477701 - Error caught: [NoMethodError] undefined method `[]' for nil:NilClass for REGULAR EXPRESSION MATCHES report
Error caught: [NoMethodError] undefined method `[]' for nil:NilClass for REGU...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity urgent
: GA
: 5.8.2
Assigned To: Harpreet Kataria
Niyaz Akhtar Ansari
: ZStream
: 1506033 (view as bug list)
Depends On: 1477621
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 12:16 EDT by Satoe Imaishi
Modified: 2017-10-25 10:55 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1477621
Environment:
Last Closed: 2017-10-23 20:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-02 12:26:20 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/de2fbcb8aa7f75efd058ecdcc647c8cb7c7edb5a

commit de2fbcb8aa7f75efd058ecdcc647c8cb7c7edb5a
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Jun 27 10:15:55 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 2 12:24:16 2017 -0400

    Merge pull request #15452 from lpichler/fix_key_for_regexp
    
    Fix key for regexp in miq_expression.yaml
    (cherry picked from commit 1a666022ce92a0691a4193e5e9f8eb7c4d7f5c4e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1477702
    https://bugzilla.redhat.com/show_bug.cgi?id=1477701

 lib/miq_expression.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 Niyaz Akhtar Ansari 2017-08-28 06:33:23 EDT
It Works fine with no error.
Verified in Version 5.8.2.0.20170824192913_b09a5f8
Comment 7 errata-xmlrpc 2017-10-23 20:16:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005
Comment 8 David La Motta 2017-10-25 10:55:27 EDT
*** Bug 1506033 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.